Update workspace color preference
Updates the user’s workspace color theme preference. The workspace color affects the visual theme of the application interface for this user.
POST
/account/workspace-colorAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsoncolorstringrequiredNew workspace color
Allowed:
INHERITDEFAULTBLACKREDROSEMAGENTAGREENBLUEYELLOWVIOLETResponses
200
successbooleanrequiredOperation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404User not found
Request
curl -X POST "https://leadtime.app/api/public/account/workspace-color" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"color": "INHERIT"
}'const response = await fetch("https://leadtime.app/api/public/account/workspace-color", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"color": "INHERIT"
})
});import requests
response = requests.post(
"https://leadtime.app/api/public/account/workspace-color",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"color": "INHERIT"
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
User not found